package me.hammerle.exceptions;

public class PreScriptException extends SnuviException
{
    private final String error;
    
    public PreScriptException(String scriptName, int line, String code, String error) 
    {
        super(null, scriptName, line, code);
        this.error = error;
    }
    
    public PreScriptException(String scriptName, String code, String error) 
    {
        this(scriptName, -1, code, error);
    }
    
    public String getException()
    {
        return error;
    }
}